weibo 02
15 个接口
GETfetch user info
GET https://dkai.store/api/v1/weibo/app/fetch_user_info1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/app/fetch_user_info?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user info detail
GET https://dkai.store/api/v1/weibo/app/fetch_user_info_detail1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/app/fetch_user_info_detail?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user profile feed
GET https://dkai.store/api/v1/weibo/app/fetch_user_profile_feed1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/app/fetch_user_profile_feed?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user super topics
GET https://dkai.store/api/v1/weibo/app/fetch_user_super_topics1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/app/fetch_user_super_topics?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user timeline
GET https://dkai.store/api/v1/weibo/app/fetch_user_timeline1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/app/fetch_user_timeline?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch user videos
GET https://dkai.store/api/v1/weibo/app/fetch_user_videos1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
uid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/app/fetch_user_videos?uid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch video detail
GET https://dkai.store/api/v1/weibo/app/fetch_video_detail1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
mid | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/app/fetch_video_detail?mid=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch video featured feed
GET https://dkai.store/api/v1/weibo/app/fetch_video_featured_feed1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/app/fetch_video_featured_feed'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETcheck allow comment with pic
GET https://dkai.store/api/v1/weibo/web_v2/check_allow_comment_with_pic1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
id | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/check_allow_comment_with_pic?id=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch advanced search
GET https://dkai.store/api/v1/weibo/web_v2/fetch_advanced_search1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
q | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_advanced_search?q=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch ai search
GET https://dkai.store/api/v1/weibo/web_v2/fetch_ai_search1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
query | query | 必填 | |
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_ai_search?query=VALUE'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch all groups
GET https://dkai.store/api/v1/weibo/web_v2/fetch_all_groups1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_all_groups'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch city list
GET https://dkai.store/api/v1/weibo/web_v2/fetch_city_list1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_city_list'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。
GETfetch entertainment ranking
GET https://dkai.store/api/v1/weibo/web_v2/fetch_entertainment_ranking1 积分 / 成功调用
| 参数 | 位置 | 要求 | 说明 |
|---|---|---|---|
Idempotency-Key | header | 必填 | Use the same value when retrying the same business request. |
curl -H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
'https://dkai.store/api/v1/weibo/web_v2/fetch_entertainment_ranking'成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。